import { Company, ICompanyLean } from '../models/Company.model';
import { fieldsToUnset, removeFields } from '../helpers/main.helper';

export class CompaniesService {
  async getCompanies() {
    return Company
      .find({ isDeleted: { $ne: true } })
      .sort({ order: 1, name: 1 })
      .lean<ICompanyLean[]>()
      .exec();
  }
}
